#
# spec file for package python-pyliblzma
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oname   pyliblzma
%define module  liblzma

Name:           python-pyliblzma
Version:        0.5.3
Release:        8.2
Summary:        Python bindings for liblzma
License:        LGPL-3.0
Group:          Development/Libraries/Python
Url:            https://launchpad.net/pyliblzma
Source:         https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.bz2
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  xz-devel
Provides:       pyliblzma = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%package -n %{name}-doc
Summary:        Documentation for the python-pyliblzma
Group:          Documentation
BuildArch:      noarch

%description
PylibLZMA provides a python interface for the liblzma library
to read and write data that has been compressed or can be
decompressed by Lasse Collin's xz / lzma utils.

%description -n %{name}-doc
PylibLZMA provides a python interface for the liblzma library
to read and write data that has been compressed or can be
decompressed by Lasse Collin's xz / lzma utils.

Documentation for the %{name}.

%prep
%setup -q -n %{oname}-%{version}

# Remove Shebang
sed -i '1d' %{module}.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%{python_sitearch}/%{module}.py*
%{python_sitearch}/lzma.so
%{python_sitearch}/%{oname}-%{version}-py%{py_ver}.egg-info

%files -n %{name}-doc
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README THANKS

%changelog
* Wed Apr  6 2016 lchiquitto@suse.de
- Provide pyliblzma for compatibility with other distributions.
  (bsc#974260)
* Mon Sep 14 2015 ms@suse.com
- Package required in SLE12 due to fate#319400
* Mon Jun  8 2015 nemysis@gmx.ch
- Modernize spec
- Use %%{oname} instead of pyliblzma
- Use %%{module} instead of liblzma
- Change Summary
- Change license GNU General Public License version 3 (GPL v3) to LGPL-3.0
- Change URL
- Split out doc and add doc into subpackages
- Change Description
- Add sed, fix Shebang
- Use right files name instead of files.lst
* Tue Aug 10 2010 pascal.bleser@opensuse.org
- require xz-devel, as anything else is too old to build properly anyway
* Tue Aug 10 2010 pascal.bleser@opensuse.org
- initial package (0.5.3)
